package cn.iocoder.yudao.module.order.dal.dataobject.orderTime;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 下单时间轴事件 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_time")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderTimeDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 订单状态 详见字典 order_status
     */
    private Integer status;
    /**
     * 
     */
    private String titleZh;
    /**
     * 
     */
    private String titleEn;

    /**
     * 中文备注
     */
    private String remarksZh;
    /**
     * 英文备注
     */
    private String remarksEn;

    /**
     * 类型
     */
    private Integer type;
    /**
     * 标记颜色：0 默认不标记 1 红色
     */
    private Integer mark;

    /**
     * 每次入仓动态更新当前的入仓总数量
     */
    private Integer totalNum;

    /**
     * 业务时间
     */
    private Date businessTime;

    @TableField(exist = false)
    private String statusType;

    public String getStatusType() {
        return statusType = this.status + "-" + this.type;
    }
}
